# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_luisruntime 0.18.0 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_luisruntime".freeze
  s.version = "0.18.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_luisruntime" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Cognitive Services LUIS Runtime Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2.0".freeze, "lib/2.0/generated".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/luis_runtime_client.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models/apierror.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models/composite_child_model.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models/composite_entity_model.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models/entity_model.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models/entity_with_resolution.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models/entity_with_score.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models/intent_model.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models/luis_result.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/models/sentiment.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/module_definition.rb".freeze, "lib/2.0/generated/azure_cognitiveservices_luisruntime/prediction.rb".freeze, "lib/3.0".freeze, "lib/3.0/generated".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/luis_runtime_client.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/dynamic_list.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/error.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/error_body.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/external_entity.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/intent.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/prediction.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/prediction_request.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/prediction_request_options.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/prediction_response.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/request_list.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/models/sentiment.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/module_definition.rb".freeze, "lib/3.0/generated/azure_cognitiveservices_luisruntime/prediction_operations.rb".freeze, "lib/azure_cognitiveservices_luisruntime.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/luisruntime_latest_profile_client.rb".freeze, "lib/profiles/latest/luisruntime_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/luisruntime_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services LUIS Runtime.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
